DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Payment
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
    • Unbind Token
    • Check Status
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Payment

Create Payment

POST
/v3/payments
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/json

Examples
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD871212",
    "order": {
        "amount": 60.20,
        "currency": "MYR",
        "invoice_number": "INV-20210231-02132",
        "expired_at": "2026-09-17T07:30:45Z"
    },
    "payment": {
        "channel": "BNPL_GRABPAY"
    },
    "customer": {
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678"
    }
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD8755B25C",
    "order": {
        "amount": 60.20,
        "invoice_number": "INV-20210231-0001",
        "currency": "MYR",
        "line_items": [
            {
                "id": "1",
                "name": "Chitato",
                "quantity": 2,
                "price": 20.05
            },
            {
                "id": "2",
                "name": "Cheetoz",
                "quantity": 2,
                "price": 10.05
            }
        ],
        "expired_at": "2026-09-17T07:30:45Z"
    },
    "payment": {
        "channel": "BNPL_GRABPAY",
        "type": "SALE",
        "initiation_type": "customer_initiate",
        "amount": 60.20,
        "currency": "MYR",
        "status": "PENDING",
        "state": "INITIATE",
        "doku_reference_id": "019bc05bdb717aa483c943c757d93c63",
        "next_action": {
            "required": true,
            "type": "auth_redirection",
            "url": "https://api-uat.doku.com/my/payment-perform?clientId=BRN-0201-1766134655420&referenceId=ZTkwMjc2NWI3ODBjZTkzZDFjY2UwM2Y0N2FjYTZlYWMzNGM2ZTc1MzI5NzNiNDMyNmNmYWZiYmI0MGZmMmY1YjUzNmVjMTllM2RkZmRjNDZiOTEyMjQ5ZGE4NThhMmExNDdkNDYyOThjZDdlNDJiYWI3NjMxODI0ZjU0NWMyMTI="
        },
        "callback_url": "https://merchant-callback-url.com"
    },
    "metadata": {
        "key_1": "value_1",
        "key_2": "value_2",
        "key_3": "value_3"
    },
    "customer": {
        "id": "DOKU-CUST-001",
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678",
        "country": "MY",
        "address": "Street 1"
    }
}
🟠400Bad Request
🟠401Invalid Authentication & Signature
🟠404Transaction Errors
🔴500Internal Errors
Modified at 2026-07-01 07:02:58
Previous
Overview
Next
Get Bank List - FPX
Built with